Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

polkit-0.120-5.1 RPM for ppc64le

From OpenSuSE Ports Tumbleweed for ppc64le

Name: polkit Distribution: openSUSE Tumbleweed
Version: 0.120 Vendor: openSUSE
Release: 5.1 Build date: Thu Aug 4 13:39:42 2022
Group: System/Libraries Build host: obs-power9-07
Size: 593180 Source RPM: polkit-0.120-5.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://www.freedesktop.org/wiki/Software/polkit/
Summary: PolicyKit Authorization Framework
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Wed Aug 03 2022 Marcus Meissner <meissner@suse.com>
  - add split-provides for polkit:/usr/bin/pkexec. (bsc#1202070)
* Mon Jul 18 2022 Marcus Meissner <meissner@suse.com>
  - split out pkexec into seperate package to make system hardening
    easier (to avoid installing it jsc#PED-132 jsc#PED-148).
* Tue Feb 22 2022 Marcus Meissner <meissner@suse.com>
  - Fixed denial of service via file descriptor leak (bsc#1195542 CVE-2021-4115)
    0001-CVE-2021-4115-GHSL-2021-077-fix.patch
* Wed Jan 26 2022 Fabian Vogt <fvogt@suse.com>
  - Switch from mozjs to duktape:
    * Add duktape-support.patch
* Tue Jan 25 2022 Marcus Meissner <meissner@suse.com>
  - Fixed pkexec Local Privilege Escalation aka pwnkit (CVE-2021-4034 bsc#1194568)
    CVE-2021-4034-pkexec-fix.patch
* Mon Dec 06 2021 Dirk Müller <dmueller@suse.com>
  - update to 0.120:
    * transition from Intltool to gettext
    * several tarball, meson and pipeline fixups
    * Portuguese translation
    * Romanian translation
    * meson build system added
    * CVE-2021-3560 mitigation
    * properties in text listener
    * typos fixups
    * Update Hungarian translation
  - drop CVE-2021-3560.patch  (upstream)
* Wed Oct 20 2021 Marcus Meissner <meissner@suse.com>
  - fork libpolkit0 package into libpolkit-agent-1-0 and libpolkit-gobject-1-0
    as mandated. bsc#1191781
* Sun Jul 18 2021 Callum Farmer <gmbr3@opensuse.org>
  - Change to using systemd-sysusers
  - Remove unneeded shadow dependency, no longer required due to
    systemd-sysusers
  - Fix 50-default.rules file-parent-ownership-mismatch warning
  - Remove --with-pic, no effect with --disable-static
* Wed Jul 07 2021 Stefan Schubert <schubi@suse.com
  - Move /etc/polkit-1/rules.d/50-default.rules to
    /usr/share/polkit-1/rules.d/50-default.rules. The first location
    is only for admin changes.
* Wed Jun 09 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Fix verifyscript: the path to the binary was wrongly defined as
    %{_libexecdir}/lib.
* Thu May 27 2021 Marcus Meissner <meissner@suse.com>
  - CVE-2021-3560: fixed a local privilege escalation using polkit_system_bus_name_get_creds_sync()
    (bsc#1186497)
    CVE-2021-3560.patch
* Thu Mar 11 2021 Thorsten Kukuk <kukuk@suse.com>
  - Move /etc/dbus-1/system.d to /usr/share/dbus-1/system.d, the
    first location is only for admin changes
  - Move pam configuration to /usr/etc/pam.d
* Mon Jan 04 2021 Matthias Gerstner <matthias.gerstner@suse.com>
  move to libexec dir is still not complete:
  - add polkit-adjust-libexec-path.patch: There is another hard coded reference
    of lib/ in the code that this patch addresses.
  - also adjust invocation of %set_permissions and %verify_permissions to new
    libexec dir location.
* Tue Dec 29 2020 Matthias Gerstner <matthias.gerstner@suse.com>
  - also set libprivdir during build, otherwhise systemd and D-Bus service files
    contain the wrong path and we'll get runtime errors.
* Mon Dec 28 2020 Matthias Gerstner <matthias.gerstner@suse.com>
  - Install private binaries into libexec instead of into lib. For this an
    override of the custom libprivdir variable is necessary, because upstream
    explicitly moved away from libexecdir via upstram commit
    6fbcc6cd839680fcefd81c4a43676e7c031c9859.
* Fri Oct 23 2020 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 0.118:
    + Updated dependency to mozjs78.
    + Tarball fixes.
  - Replace pkgconfig(mozjs-68) for pkgconfig(mozjs-78)
    BuildRequires following upstreams port.
* Fri Jul 31 2020 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 0.117:
    + Activated Gitlab CI.
    + Updated dependency to mozjs68.
    + Memory management fixes.
    + Updated translations.
  - Replace pkgconfig(mozjs-60) for pkgconfig(mozjs-68)
    BuildRequires following upstreams port.
* Fri Nov 29 2019 Bjørn Lie <bjorn.lie@gmail.com>
  - Fix usage of libexecdir instead of prefix/lib where applicable.
* Tue Oct 08 2019 Marcus Meissner <meissner@suse.com>
  - polkit-keyinit.patch: add pam_keyinit to the polkit configuration (bsc#1144053)
* Wed May 29 2019 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 0.116:
    + Leaking zombie child processes.
    + Possible resource leak found by static analyzer.
    + Output messages tuneup.
    + Sanity fixes.
    + pkttyagent tty echo disabled on SIGINT.
    + HACKING: add link to Code of Conduct.
    + polkitbackend: comment typos fix.
    + configure.ac: fix detection of systemd with cgroups v2.
    + CVE-2018-19788 High UIDs overflow fix.
    + CVE-2019-6133 Slowfork vulnerability fix.
    + Allow unset process-uid.
    + Port the JS authority to mozjs-60.
    + Use JS_EncodeStringToUTF8.
    + Updated translations.
  - Replace pkgconfig(mozjs-52) with pkgconfig(mozjs-60)
    BuildRequires following upstreams changes.
  - Drop patches fixed upstream:
    + polkit-fix-possible-resource-leak.patch
    + polkit-fix-leaking-zombie-child-processes.patch
    + polkit-CVE-2018-19788.patch
  - Refresh patches with quilt.
* Fri May 10 2019 Dominique Leuenberger <dimstar@opensuse.org>
  - Use systemd_ordering instead of systemd_requires: strictly
    speaking, polkit does not require systemd to be present. Just
    that when we install on a system with systemd (e.g outside
    containers) we would want systemd to be present before
    installing polkit. Help also reduce a cycle without special hacks
    in systemd.spec.
* Fri Apr 26 2019 mvetter@suse.com
  - bsc#1130588: Require shadow instead of old pwdutils
  - User proper Requires(pre)/Requires(post) for permissions and
    shadow

Files

/etc/polkit-1
/etc/polkit-1/rules.d
/usr/bin/pkaction
/usr/bin/pkcheck
/usr/bin/pkttyagent
/usr/etc/pam.d/polkit-1
/usr/lib/systemd/system/polkit.service
/usr/lib/sysusers.d/system-user-polkitd.conf
/usr/libexec/polkit-1
/usr/libexec/polkit-1/polkit-agent-helper-1
/usr/libexec/polkit-1/polkitd
/usr/share/dbus-1
/usr/share/dbus-1/system-services
/usr/share/dbus-1/system-services/org.freedesktop.PolicyKit1.service
/usr/share/dbus-1/system.d
/usr/share/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
/usr/share/licenses/polkit
/usr/share/licenses/polkit/COPYING
/usr/share/locale/cs/LC_MESSAGES/polkit-1.mo
/usr/share/locale/da/LC_MESSAGES/polkit-1.mo
/usr/share/locale/de/LC_MESSAGES/polkit-1.mo
/usr/share/locale/hr/LC_MESSAGES/polkit-1.mo
/usr/share/locale/hu/LC_MESSAGES/polkit-1.mo
/usr/share/locale/id/LC_MESSAGES/polkit-1.mo
/usr/share/locale/it/LC_MESSAGES/polkit-1.mo
/usr/share/locale/nn/LC_MESSAGES/polkit-1.mo
/usr/share/locale/pl/LC_MESSAGES/polkit-1.mo
/usr/share/locale/pt/LC_MESSAGES/polkit-1.mo
/usr/share/locale/pt_BR/LC_MESSAGES/polkit-1.mo
/usr/share/locale/ro/LC_MESSAGES/polkit-1.mo
/usr/share/locale/sk/LC_MESSAGES/polkit-1.mo
/usr/share/locale/sv/LC_MESSAGES/polkit-1.mo
/usr/share/locale/tr/LC_MESSAGES/polkit-1.mo
/usr/share/locale/uk/LC_MESSAGES/polkit-1.mo
/usr/share/locale/zh_CN/LC_MESSAGES/polkit-1.mo
/usr/share/locale/zh_TW/LC_MESSAGES/polkit-1.mo
/usr/share/man/man1/pkaction.1.gz
/usr/share/man/man1/pkcheck.1.gz
/usr/share/man/man1/pkttyagent.1.gz
/usr/share/man/man8/polkit.8.gz
/usr/share/man/man8/polkitd.8.gz
/usr/share/polkit-1
/usr/share/polkit-1/actions
/usr/share/polkit-1/actions/org.freedesktop.policykit.policy
/usr/share/polkit-1/rules.d
/usr/share/polkit-1/rules.d/50-default.rules
/var/lib/polkit


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Sep 9 10:37:20 2022